import { bulkCancelEvent as universalBulkCancelEvent, bulkReportEvent as universalBulkReportEvent, cancelEvent as universalCancelEvent, reportEvent as universalReportEvent, } from './automations-v2-activation-activations.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/automations' };
export function reportEvent(httpClient) {
    return (triggerKey, options) => universalReportEvent(triggerKey, options, 
    // @ts-ignore
    { httpClient });
}
export function bulkReportEvent(httpClient) {
    return (triggerKey, eventsInfo) => universalBulkReportEvent(triggerKey, eventsInfo, 
    // @ts-ignore
    { httpClient });
}
export function bulkCancelEvent(httpClient) {
    return (triggerKey, externalEntityIds) => universalBulkCancelEvent(triggerKey, externalEntityIds, 
    // @ts-ignore
    { httpClient });
}
export function cancelEvent(httpClient) {
    return (triggerKey, externalEntityId) => universalCancelEvent(triggerKey, externalEntityId, 
    // @ts-ignore
    { httpClient });
}
export { ActivationActionStatusChangedStatus, ActivationStatusChangedStatus, AutomationConfigurationStatus, BlockType, CancellationReason, CodeSnippetLanguage, Domain, ErrorReason, IdentifierType, Language, Operator, Origin, RuntimeStatus, ScheduleStatus, SkipReason, Status, Target, TimeUnit, Type, Units, WebhookIdentityType, } from './automations-v2-activation-activations.universal.js';
//# sourceMappingURL=automations-v2-activation-activations.public.js.map